Bug 176228 - Stale iSCSI session stays active after removing the target permanently
Stale iSCSI session stays active after removing the target permanently
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: iscsi-initiator-utils (Show other bugs)
3.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike Christie
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-20 07:24 EST by Chakravarthy G.R.K.
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 14:49:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix for the bug (3.41 KB, patch)
2005-12-20 07:24 EST, Chakravarthy G.R.K.
no flags Details | Diff

  None (edit)
Description Chakravarthy G.R.K. 2005-12-20 07:24:28 EST
Description of problem:

Setup:
Two targets are connected to MDS. One of which is available only if the other 
is removed permanently(a dynamic target is created). The MDS is connected to 
the initiator.

Problem:
After removing the first iscsi target only the dynamic target is sent to the 
initiator on a SendTargets respose. So it sets up a session for the new target. 
But the older session (stale session) still remains and login is unecessarily 
retried on a permanently removed target.

Version-Release number of selected component (if applicable):

How reproducible:
Always.

Steps to Reproduce:
1. Make sure that all targets and iSCSI sessions are up.
2. Remove the target on MDS
3. Check the iSCSI sessions on the initiator.
  
Actual results:
The initiator tries to login into a permanently removed target. It does not 
tear down the older sessions.

Expected results:
The initiator should tear down all the old sessions, once the new dicovery 
responds with dissimilar targets.

Additional info:
Comment 1 Chakravarthy G.R.K. 2005-12-20 07:24:29 EST
Created attachment 122443 [details]
Fix for the bug
Comment 2 Mike Christie 2005-12-30 22:33:35 EST
If the session just happens to be down temporarily when the iscsd is rerun won't
this kill the session accidentally?
Comment 3 Arpakorn Boonkongchuen 2006-01-02 21:39:12 EST
I believe the fix was the initiator would only tear down old sessions if the 
target returns with "target no longer exists".  If target replies with "target 
error" then the initiator can continue retrying.
Comment 4 Mike Christie 2006-01-04 00:03:55 EST
connet #2 by me should actually ne in the RHEL4 bugzilla entry. sorry about that.
Comment 6 Bob Johnson 2006-04-11 12:21:10 EDT
This issue is on Red Hat Engineering's list of planned work items 
for the upcoming Red Hat Enterprise Linux 3.8 release.  Engineering 
resources have been assigned and barring unforeseen circumstances, Red 
Hat intends to include this item in the 3.8 release.
Comment 9 RHEL Product and Program Management 2007-10-19 14:49:28 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.